"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findDifferencesInResponseBodies = void 0;
const get_scope_differences_1 = require("./get-scope-differences");
const json_schema_diff_1 = require("./json-schema-diff");
const findDifferencesInResponseBodies = (sourceResponseBody, destinationResponseBody) => __awaiter(void 0, void 0, void 0, function* () {
    const diffResults = yield (0, json_schema_diff_1.getSchemaDifferences)(sourceResponseBody, destinationResponseBody);
    const responseBodyScopeOptions = {
        addedJsonSchema: diffResults.addedJsonSchema,
        additionsFound: diffResults.additionsFound,
        destinationScope: destinationResponseBody,
        propertyName: 'response.body.scope',
        removalsFound: diffResults.removalsFound,
        removedJsonSchema: diffResults.removedJsonSchema,
        sourceScope: sourceResponseBody
    };
    const addedScopeDifferences = (0, get_scope_differences_1.getScopeAddDifferences)(responseBodyScopeOptions);
    const removedScopeDifferences = (0, get_scope_differences_1.getScopeRemoveDifferences)(responseBodyScopeOptions);
    return [...addedScopeDifferences, ...removedScopeDifferences];
});
exports.findDifferencesInResponseBodies = findDifferencesInResponseBodies;
