"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateAndDereferenceSpec = void 0;
const SwaggerParser = require("swagger-parser");
const open_api_diff_error_impl_1 = require("../../../common/open-api-diff-error-impl");
const validateAndDereferenceSpec = (spec, location) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const options = {
            dereference: { circular: 'ignore' }
        };
        return yield SwaggerParser.validate(spec, options);
    }
    catch (error) {
        throw new open_api_diff_error_impl_1.OpenApiDiffErrorImpl('OPENAPI_DIFF_PARSE_ERROR', `Validation errors in "${location}"`, error);
    }
});
exports.validateAndDereferenceSpec = validateAndDereferenceSpec;
