"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSwagger2Spec = void 0;
const parse_x_properties_1 = require("./common/parse-x-properties");
const path_builder_1 = require("./common/path-builder");
const parse_swagger2_paths_1 = require("./swagger2/parse-swagger2-paths");
const parseSwagger2Spec = (spec) => {
    const pathBuilder = path_builder_1.PathBuilder.createRootPathBuilder();
    return {
        format: 'swagger2',
        paths: (0, parse_swagger2_paths_1.parseSwagger2Paths)(spec.paths, pathBuilder.withChild('paths'), spec),
        xProperties: (0, parse_x_properties_1.parseXPropertiesInObject)(spec, pathBuilder)
    };
};
exports.parseSwagger2Spec = parseSwagger2Spec;
