"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSwagger2ResponseHeaders = void 0;
const parseHeader = (header, pathBuilder) => {
    return {
        originalValue: {
            originalPath: pathBuilder.build(),
            value: header
        },
        required: {
            originalValue: {
                originalPath: pathBuilder.withChild('required').build()
            },
            value: true
        }
    };
};
const parseHeaders = (headersMap, pathBuilder) => {
    return Object.keys(headersMap).reduce((accumulator, headerName) => {
        const originalPath = pathBuilder.withChild(headerName);
        accumulator[headerName] = parseHeader(headersMap[headerName], originalPath);
        return accumulator;
    }, {});
};
const parseSwagger2ResponseHeaders = (response, pathBuilder) => {
    const headers = response.headers || {};
    const originalPath = pathBuilder.withChild('headers');
    return parseHeaders(headers, originalPath);
};
exports.parseSwagger2ResponseHeaders = parseSwagger2ResponseHeaders;
