"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateAndDereferenceOpenapi3Spec = void 0;
const open_api_diff_error_impl_1 = require("../../common/open-api-diff-error-impl");
const validate_and_dereference_spec_1 = require("./common/validate-and-dereference-spec");
const is_openapi3_content_1 = require("./openapi3/is-openapi3-content");
const validateSpecFormat = (content, location) => {
    if (!(0, is_openapi3_content_1.isOpenApi3Content)(content)) {
        throw new open_api_diff_error_impl_1.OpenApiDiffErrorImpl('OPENAPI_DIFF_PARSE_ERROR', `"${location}" is not a "openapi3" spec`);
    }
};
const validateAndDereferenceOpenapi3Spec = (content, location) => __awaiter(void 0, void 0, void 0, function* () {
    validateSpecFormat(content, location);
    return (0, validate_and_dereference_spec_1.validateAndDereferenceSpec)(content, location);
});
exports.validateAndDereferenceOpenapi3Spec = validateAndDereferenceOpenapi3Spec;
